package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_ROW_SENSITIVE_LEVEL"
)
public class TCoreRowSensitiveLevel extends TBaseEntity {
   @Column(
      length = 50
   )
   private String edition_id;
   @Column(
      length = 50
   )
   private String sensitive_id;
   @Column(
      length = 50
   )
   private String sensitive_name;
   @Column(
      length = 50
   )
   private String create_user;
   @Column(
      length = 50
   )
   @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   private Date create_date;
   @Column(
      length = 50
   )
   private String datasystem_id;
   @Column(
      length = 50
   )
   private String schem;
   @Column(
      length = 50
   )
   private String table_name;
   @Column(
      length = 100
   )
   private String key_name;
   @Column(
      length = 200
   )
   private String key_id;

   public String getEdition_id() {
      return this.edition_id;
   }

   public void setEdition_id(String edition_id) {
      this.edition_id = edition_id;
   }

   public String getSensitive_id() {
      return this.sensitive_id;
   }

   public void setSensitive_id(String sensitive_id) {
      this.sensitive_id = sensitive_id;
   }

   public String getSensitive_name() {
      return this.sensitive_name;
   }

   public void setSensitive_name(String sensitive_name) {
      this.sensitive_name = sensitive_name;
   }

   public String getCreate_user() {
      return this.create_user;
   }

   public void setCreate_user(String create_user) {
      this.create_user = create_user;
   }

   public Date getCreate_date() {
      return this.create_date;
   }

   public void setCreate_date(Date create_date) {
      this.create_date = create_date;
   }

   public String getDatasystem_id() {
      return this.datasystem_id;
   }

   public void setDatasystem_id(String datasystem_id) {
      this.datasystem_id = datasystem_id;
   }

   public String getSchem() {
      return this.schem;
   }

   public void setSchem(String schem) {
      this.schem = schem;
   }

   public String getTable_name() {
      return this.table_name;
   }

   public void setTable_name(String table_name) {
      this.table_name = table_name;
   }

   public String getKey_name() {
      return this.key_name;
   }

   public void setKey_name(String key_name) {
      this.key_name = key_name;
   }

   public String getKey_id() {
      return this.key_id;
   }

   public void setKey_id(String key_id) {
      this.key_id = key_id;
   }
}
